| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
CompilerEnvironment
CompilerEnvironment()->PikeCompiler

# Method CompilerEnvironment()->PikeCompiler()->pop_type_attribute()

Method pop_type_attribute

  `int(0..1) pop_type_attribute(string attribute, type(mixed) a, type(mixed) b)`

Description

  Type attribute handler.

  Called during type checking when `a <= b` and a had the type attribute attribute before the comparison.

  The default implementation implements the "deprecated" attribute.

Returns

  Returns `1` if the type check should be allowed (ie `__attribute__(attribute, a) <= b`), and `0` (zero) otherwise.

See also

  push_type_attribute()